Description

Related issues:

Related to Redmine - Patch #9129: Improve wording of Git repository note at p... Closed 2011-08-26

Associated revisions

Revision 6068 - 2011-06-11 23:08 - Toshi MARUYAMA

pt-BR translation update by Rodrigo Rosenfeld Rosas (#8594).

Revision 6096 - 2011-06-18 12:13 - Toshi MARUYAMA

pt-BR translation update by Enderson Maia (#8591, #8594).

Better translation to keep a pattern in translations.

Revision 6635 - 2011-08-26 06:59 - Toshi MARUYAMA

change first letter of text_mercurial_repository_note in pt-BR.yml to upper case (#8591, #8594).

History

#1 - 2011-06-11 23:23 - Toshi MARUYAMA

- % Done changed from 0 to 90

I committed in trunk r6068 and 1.2-stable r6069 excluding text_git_repository_note.

en: Bare and local repository

pt-BR: um repositório local do tipo bare

It seems um is equivalent English a.

Is this translation correct?

Please see r5167.

#2 - 2011-06-12 00:22 - Rodrigo Rosenfeld Rosas

You're correct about "um" -> "a". Translating software is a hard task with these tools (YAML) because we can't know the context.

For instance in the phrase "Bulk edit time log" we have to guess if "edit" here is a verb or a noun in which case they should be translated differently

("alterar" and "alteração"). The only way to know the context is to look at source code but this is not feasible for me to do it for every sentence like

this.

Regarding the "um" -> "a", some sentences in Portuguese require the article while starting a sentence or the phrase will sound weird.

Let's consider this case: "Bare and local repository". I don't know if there is any word that translates the meaning of bare in the git context. A

dictionary will say that it means "nú" (also "Nude" in English). This is not clear for git users. Unless someone comes with a better translation, I would

rather prefer to keep "bare" as git users are familiar with the word, even if they are Brazilian. This should avoid any confusion caused by the

translation.

So, the translation was something like this:

"A local repository of kind 'bare'"

Is it ok?
#3 - 2011-06-12 00:25 - Rodrigo Rosenfeld Rosas

I think I guess what you're talking about. This sentence is to ask for the path of the repository, right? Shouldn't the English sentence be like below?

"Local path to the bare repository"

#4 - 2011-06-12 00:40 - Toshi MARUYAMA

I copied "bare and local" from wiki.

http://www.redmine.org/projects/redmine/wiki/RedmineRepositories#Git-repository

#5 - 2011-06-12 00:42 - Toshi MARUYAMA

Rodrigo Rosenfeld Rosas wrote:

I think I guess what you're talking about. This sentence is to ask for the path of the repository, right? Shouldn't the English sentence be like

below?

"Local path to the bare repository"

 Thank you for your advise.

Should I change it?

#6 - 2011-06-12 01:00 - Rodrigo Rosenfeld Rosas

I'm leaving to a party now. I'll take a look at the source tomorrow to see where this code is being used. If that is really the intention (I think it is

because we use Redmine - now we're using Chiliproject because the reference source is in Git instead of Subversion - and I've already configured

some git repositories), then I think we should change it. :)

#7 - 2011-06-12 01:07 - Toshi MARUYAMA

Thank you.

I am waiting your conclusion.

Japan is Sunday morning, now.

#8 - 2011-06-12 01:11 - Toshi MARUYAMA

I want to change text_mercurial_repository_note.

"repositório local" -> "Repositório local"

Is this correct?

#9 - 2011-06-12 21:46 - Rodrigo Rosenfeld Rosas

Hi Toshi, "local" in English translates to "local" in Portuguese, but the order is changed: "Local repository" => "Repositório local".

Regarding the git statement, I think we should change the original phrase. Take a look at app/helpers/repositories_helper.rb, in git_field_tags method:

content_tag('p', form.text_field(

                       :url, :label => l(:field_path_to_repository),

                       :size => 60, :required => true,

                       :disabled => (repository && !repository.root_url.blank?)

                         ) +

                      '<br />' + l(:text_git_repository_note)) +

 It is analogous for Mercurial repositories. Notice that the field name is "field_path_to_repository" while the text doesn't include the "path" word.

I think this should be changed to:

# original

text_git_repository_note: "Bare and local repository (e.g. /gitrepo, c:\gitrepo)" 

text_mercurial_repository_note: "Local repository (e.g. /hgrepo, c:\hgrepo)" 

 
# proposed change

text_git_repository_note: "Bare and local repository path (e.g. /gitrepo, c:\gitrepo)" 

text_mercurial_repository_note: "Local repository path (e.g. /hgrepo, c:\hgrepo)" 

 
# proposed translations to pt-BR

text_git_repository_note: "Caminho para o repositório local do tipo 'bare' (ex.: /gitrepo, c:\gitrepo)" 

text_mercurial_repository_note: "Caminho para o repositório local (ex.: /hgrepo, c:\hgrepo)" 
 Sorry for answering late, but I completely forgot today is Valentine's day in Brazil ;)

#10 - 2011-06-13 00:39 - Toshi MARUYAMA

- Assignee set to Toshi MARUYAMA

#11 - 2011-08-26 03:59 - Toshi MARUYAMA

- Status changed from New to Closed

#9129 has git note improvement.

So, I close this issue.

Files

0001-pt-BR-translation-updates.patch 3.98 KB 2011-06-11 Rodrigo Rosenfeld Rosas
